
商品搜索 mapping

PUT cue_product

```json
{
  "mappings": {
    "properties": {
      "cueproductId": {
        "type": "long"
      },
      "name": {
        "type": "text",
        "analyzer": "ik_max_word",
        "search_analyzer": "ik_smart"
      },
      "description": {
        "type": "text"
      },
      "createTime": {
        "type": "date"
      },
      "updateTime": {
        "type": "date"
      },
      "price": {
        "type": "long"
      },
      "status":{
        "type": "integer"
      },
      "deleted":{
        "type": "integer"
      },
      "productSort":{
        "type": "integer"
      },
      "brandId":{
        "type": "integer"
      },
      "brandItems": {
        "type": "nested",
        "properties": {
          "brandName": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "createTime": {
            "type": "date"
          },
          "updateTime": {
            "type": "date"
          },
          "status":{
            "type": "integer"
          },
          "deleted":{
            "type": "integer"
          },
          "brandSort":{
            "type": "integer"
          }
        }
      },
      "seriesId":{
        "type": "integer"
      },
      "seriesItems": {
        "type": "nested",
        "properties": {
          "seriesName": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "createTime": {
            "type": "date"
          },
          "updateTime": {
            "type": "date"
          },
          "status":{
            "type": "integer"
          },
          "deleted":{
            "type": "integer"
          },
          "seriesSort":{
            "type": "integer"
          }
        }
      },
      "typeId":{
        "type": "integer"
      },
      "typeItems": {
        "type": "nested",
        "properties": {
          "typeName": {
            "type": "text",
            "analyzer": "ik_max_word",
            "search_analyzer": "ik_smart"
          },
          "createTime": {
            "type": "date"
          },
          "updateTime": {
            "type": "date"
          },
          "status":{
            "type": "integer"
          },
          "deleted":{
            "type": "integer"
          },
          "typeSort":{
            "type": "integer"
          }
        }
      }
    }
  }
}
```
